fields:
- datatype: xsd:anyURI
  domain: crm:E7_Activity
  id: teaching_student_view
  label: Student
  queries:
  - select: "SELECT ?value ?label WHERE {\n  $subject a ismi:TeachingEvent ;\n   \
      \ crm:P01i_is_domain_of ?participation .\n  ?participation crm:P14.1_in_the_role_of\
      \ <http://content.mpiwg-berlin.mpg.de/ns/ismi/type/participation/teaching-student>\
      \ ;\n    crm:P02_has_range ?value .\n  OPTIONAL {\n    ?value rdfs:label ?label\
      \ .\n  }\n}"
  - insert: INSERT { $subject ?predicate $value} WHERE {}
prefix: http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/
